Returns a list of projects and publications available to a specific user.
GET users/{user-login}/projects
Authentication
This request requires basic authentication.
Request Parameters
Path params
| user-login |
string
|
The login of the user to get a list of available publications for.
|
|---|
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/users/pr1/projects' |
Response body sample
JSON |
[JSON] [ { "createdOn": "2022-05-10T12:04:13", "fullUrl": "https://docs.hedronlabs.org/articles/project-deep-space-exploration-publication", "id": "project-deep-space-exploration-publication", "parentId": "project-deep-space-exploration", "parentUrl": "project-deep-space-exploration", "title": "Project Deep Space Exploration Publication", "url": "project-deep-space-exploration-publication", "visibility": "Public" }, { "createdOn": "2022-05-26T14:18:57", "fullUrl": "https://docs.hedronlabs.org/articles/making-robots-publication3", "id": "making-robots-publication3", "parentId": "project-making-robots", "parentUrl": "project-making-robots", "title": "Making Robots Publication3", "url": "making-robots-publication3", "visibility": "Public" } ] |
Response fields
| createdOn |
An ISO 8601 timestamp of the project/publication creation date. GMT timezone.
|
|---|---|
| fullUrl |
The full URL of the project or publication.
|
|
id
|
The unique identifier of the project or publication.
|
|
parentId
|
The unique identifier of the parent entity. Returns null for projects. For publications, returns the ID of the associated project.
|
|
parentUrl
|
[deprecated] Same as parentId. |
|
title
|
The title of the project or publication. |
|
url
|
[deprecated] Same as id. |
|
visibility
|
The visibility of the project/publication. Always returns Private for projects.
|